<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>MmwDemo_DSS_DataPathObj_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">MmwDemo_DSS_DataPathObj_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Millimeter Wave Demo Data Path Information.  
 <a href="struct_mmw_demo___d_s_s___data_path_obj__t.html#details">More...</a></p>

<p><code>#include &lt;/home/gtbldadm/nightlybuilds/mmwave_sdk/ti/demo/xwr16xx/mmw/dss/dss_data_path.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ac7bed36013db79bc3c15e559cfffc1f5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac7bed36013db79bc3c15e559cfffc1f5"></a>
MmwDemo_Cfg *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#ac7bed36013db79bc3c15e559cfffc1f5">cfg</a></td></tr>
<tr class="memdesc:ac7bed36013db79bc3c15e559cfffc1f5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to mmw demo configuration. <br /></td></tr>
<tr class="separator:ac7bed36013db79bc3c15e559cfffc1f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a536053c1b2f745165de4aa4a0b143aeb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a536053c1b2f745165de4aa4a0b143aeb"></a>
<a class="el" href="dss__data__path_8h.html#ad71f1280cd2396c3c184e11ea292f03a">MmwDemo_DSS_dataPathContext_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a536053c1b2f745165de4aa4a0b143aeb">context</a></td></tr>
<tr class="memdesc:a536053c1b2f745165de4aa4a0b143aeb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to common context across data path objects. <br /></td></tr>
<tr class="separator:a536053c1b2f745165de4aa4a0b143aeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f18cbd6f74a035cd8a072e321822edc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3f18cbd6f74a035cd8a072e321822edc"></a>
MmwDemo_CliCfg_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a3f18cbd6f74a035cd8a072e321822edc">cliCfg</a></td></tr>
<tr class="memdesc:a3f18cbd6f74a035cd8a072e321822edc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to cli config. <br /></td></tr>
<tr class="separator:a3f18cbd6f74a035cd8a072e321822edc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4a4f7ebf43f4a065726f027750e0ab0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab4a4f7ebf43f4a065726f027750e0ab0"></a>
MmwDemo_CliCommonCfg_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#ab4a4f7ebf43f4a065726f027750e0ab0">cliCommonCfg</a></td></tr>
<tr class="memdesc:ab4a4f7ebf43f4a065726f027750e0ab0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to cli config common to all subframes. <br /></td></tr>
<tr class="separator:ab4a4f7ebf43f4a065726f027750e0ab0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c3acb4c67af95e7fe9197337e72d0a7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9c3acb4c67af95e7fe9197337e72d0a7"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a9c3acb4c67af95e7fe9197337e72d0a7">numRxAntennas</a></td></tr>
<tr class="memdesc:a9c3acb4c67af95e7fe9197337e72d0a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of receive channels. <br /></td></tr>
<tr class="separator:a9c3acb4c67af95e7fe9197337e72d0a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8444ea009ef97275b02b36dce322bc1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab8444ea009ef97275b02b36dce322bc1"></a>
cmplx16ReIm_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#ab8444ea009ef97275b02b36dce322bc1">ADCdataBuf</a></td></tr>
<tr class="memdesc:ab8444ea009ef97275b02b36dce322bc1"><td class="mdescLeft">&#160;</td><td class="mdescRight">pointer to ADC buffer <br /></td></tr>
<tr class="separator:ab8444ea009ef97275b02b36dce322bc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3decdc1e41c46a9afd1c14c000686369"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3decdc1e41c46a9afd1c14c000686369"></a>
cmplx16ReIm_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a3decdc1e41c46a9afd1c14c000686369">twiddle16x16_1D</a></td></tr>
<tr class="memdesc:a3decdc1e41c46a9afd1c14c000686369"><td class="mdescLeft">&#160;</td><td class="mdescRight">twiddle table for 1D FFT <br /></td></tr>
<tr class="separator:a3decdc1e41c46a9afd1c14c000686369"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ef3787e9c77a57890f8f09d6f8eac52"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6ef3787e9c77a57890f8f09d6f8eac52"></a>
int16_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a6ef3787e9c77a57890f8f09d6f8eac52">window1D</a></td></tr>
<tr class="memdesc:a6ef3787e9c77a57890f8f09d6f8eac52"><td class="mdescLeft">&#160;</td><td class="mdescRight">window coefficients for 1D FFT <br /></td></tr>
<tr class="separator:a6ef3787e9c77a57890f8f09d6f8eac52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1af7980b0f1a53c0b2fe6190f821656"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae1af7980b0f1a53c0b2fe6190f821656"></a>
cmplx16ReIm_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#ae1af7980b0f1a53c0b2fe6190f821656">adcDataIn</a></td></tr>
<tr class="memdesc:ae1af7980b0f1a53c0b2fe6190f821656"><td class="mdescLeft">&#160;</td><td class="mdescRight">ADCBUF input samples in L2 scratch memory. <br /></td></tr>
<tr class="separator:ae1af7980b0f1a53c0b2fe6190f821656"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa641655d7d181d9795b2fdd16f2a0d12"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa641655d7d181d9795b2fdd16f2a0d12"></a>
cmplx16ReIm_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#aa641655d7d181d9795b2fdd16f2a0d12">fftOut1D</a></td></tr>
<tr class="memdesc:aa641655d7d181d9795b2fdd16f2a0d12"><td class="mdescLeft">&#160;</td><td class="mdescRight">1D FFT output <br /></td></tr>
<tr class="separator:aa641655d7d181d9795b2fdd16f2a0d12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bf07b2da686bbe3811b3e729914fb7a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3bf07b2da686bbe3811b3e729914fb7a"></a>
cmplx32ReIm_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a3bf07b2da686bbe3811b3e729914fb7a">twiddle32x32_2D</a></td></tr>
<tr class="memdesc:a3bf07b2da686bbe3811b3e729914fb7a"><td class="mdescLeft">&#160;</td><td class="mdescRight">twiddle table for 2D FFT <br /></td></tr>
<tr class="separator:a3bf07b2da686bbe3811b3e729914fb7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e1476964988f7d147e82538b3e3cbe5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5e1476964988f7d147e82538b3e3cbe5"></a>
int32_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a5e1476964988f7d147e82538b3e3cbe5">window2D</a></td></tr>
<tr class="memdesc:a5e1476964988f7d147e82538b3e3cbe5"><td class="mdescLeft">&#160;</td><td class="mdescRight">window coefficients for 2D FFT <br /></td></tr>
<tr class="separator:a5e1476964988f7d147e82538b3e3cbe5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a848aa9927609129a384ad65d82a9bdbf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a848aa9927609129a384ad65d82a9bdbf"></a>
cmplx16ReIm_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a848aa9927609129a384ad65d82a9bdbf">dstPingPong</a></td></tr>
<tr class="memdesc:a848aa9927609129a384ad65d82a9bdbf"><td class="mdescLeft">&#160;</td><td class="mdescRight">ping pong buffer for 2D from radar Cube <br /></td></tr>
<tr class="separator:a848aa9927609129a384ad65d82a9bdbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96b78a6b43848e4de5f0b61f2ec26b2a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a96b78a6b43848e4de5f0b61f2ec26b2a"></a>
cmplx32ReIm_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a96b78a6b43848e4de5f0b61f2ec26b2a">windowingBuf2D</a></td></tr>
<tr class="memdesc:a96b78a6b43848e4de5f0b61f2ec26b2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">window output for 2D FFT <br /></td></tr>
<tr class="separator:a96b78a6b43848e4de5f0b61f2ec26b2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20faf0132009b2979e06ac91830bdc56"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a20faf0132009b2979e06ac91830bdc56"></a>
cmplx32ReIm_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a20faf0132009b2979e06ac91830bdc56">fftOut2D</a></td></tr>
<tr class="memdesc:a20faf0132009b2979e06ac91830bdc56"><td class="mdescLeft">&#160;</td><td class="mdescRight">2D FFT output <br /></td></tr>
<tr class="separator:a20faf0132009b2979e06ac91830bdc56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a808b8e1863d5fd34a0f44286c7d41a6a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a808b8e1863d5fd34a0f44286c7d41a6a"></a>
uint16_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a808b8e1863d5fd34a0f44286c7d41a6a">log2Abs</a></td></tr>
<tr class="memdesc:a808b8e1863d5fd34a0f44286c7d41a6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">log2 absolute computation output buffer <br /></td></tr>
<tr class="separator:a808b8e1863d5fd34a0f44286c7d41a6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa064644aa2e4c00f8629b6103fb3ea20"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa064644aa2e4c00f8629b6103fb3ea20"></a>
uint16_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#aa064644aa2e4c00f8629b6103fb3ea20">sumAbs</a></td></tr>
<tr class="memdesc:aa064644aa2e4c00f8629b6103fb3ea20"><td class="mdescLeft">&#160;</td><td class="mdescRight">accumulated sum of log2 absolute over the antennae <br /></td></tr>
<tr class="separator:aa064644aa2e4c00f8629b6103fb3ea20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cddb3093316ddc07b085ff0d8bb2911"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9cddb3093316ddc07b085ff0d8bb2911"></a>
uint16_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a9cddb3093316ddc07b085ff0d8bb2911">sumAbsRange</a></td></tr>
<tr class="memdesc:a9cddb3093316ddc07b085ff0d8bb2911"><td class="mdescLeft">&#160;</td><td class="mdescRight">input buffer for CFAR processing from the detection matrix <br /></td></tr>
<tr class="separator:a9cddb3093316ddc07b085ff0d8bb2911"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4865736c29fdcb55cf2ef1d6d9feaa2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab4865736c29fdcb55cf2ef1d6d9feaa2"></a>
uint16_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#ab4865736c29fdcb55cf2ef1d6d9feaa2">cfarDetObjIndexBuf</a></td></tr>
<tr class="memdesc:ab4865736c29fdcb55cf2ef1d6d9feaa2"><td class="mdescLeft">&#160;</td><td class="mdescRight">CFAR output objects index buffer. <br /></td></tr>
<tr class="separator:ab4865736c29fdcb55cf2ef1d6d9feaa2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf83ad695c8265f750d0bb33c02a1050"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acf83ad695c8265f750d0bb33c02a1050"></a>
cmplx32ReIm_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#acf83ad695c8265f750d0bb33c02a1050">azimuthIn</a></td></tr>
<tr class="memdesc:acf83ad695c8265f750d0bb33c02a1050"><td class="mdescLeft">&#160;</td><td class="mdescRight">input for Azimuth FFT <br /></td></tr>
<tr class="separator:acf83ad695c8265f750d0bb33c02a1050"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff581e3968fea34e761a2a84ddeb463b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aff581e3968fea34e761a2a84ddeb463b"></a>
cmplx32ReIm_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#aff581e3968fea34e761a2a84ddeb463b">azimuthOut</a></td></tr>
<tr class="memdesc:aff581e3968fea34e761a2a84ddeb463b"><td class="mdescLeft">&#160;</td><td class="mdescRight">output of Azimuth FFT <br /></td></tr>
<tr class="separator:aff581e3968fea34e761a2a84ddeb463b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab95ec5963a699b25957c51e1a560e248"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab95ec5963a699b25957c51e1a560e248"></a>
float *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#ab95ec5963a699b25957c51e1a560e248">azimuthMagSqr</a></td></tr>
<tr class="memdesc:ab95ec5963a699b25957c51e1a560e248"><td class="mdescLeft">&#160;</td><td class="mdescRight">output of Azimuth FFT magnitude squared <br /></td></tr>
<tr class="separator:ab95ec5963a699b25957c51e1a560e248"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a209b46c8a9f3c3bdb07983f7214a616e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a209b46c8a9f3c3bdb07983f7214a616e"></a>
cmplx32ReIm_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a209b46c8a9f3c3bdb07983f7214a616e">azimuthTwiddle32x32</a></td></tr>
<tr class="memdesc:a209b46c8a9f3c3bdb07983f7214a616e"><td class="mdescLeft">&#160;</td><td class="mdescRight">twiddle factors table for Azimuth FFT <br /></td></tr>
<tr class="separator:a209b46c8a9f3c3bdb07983f7214a616e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c8cc4ff59d73dfa591c3bb8c238867c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8c8cc4ff59d73dfa591c3bb8c238867c"></a>
cmplx16ImRe_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a8c8cc4ff59d73dfa591c3bb8c238867c">azimuthModCoefs</a></td></tr>
<tr class="memdesc:a8c8cc4ff59d73dfa591c3bb8c238867c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to single point DFT coefficients used for Azimuth processing. <br /></td></tr>
<tr class="separator:a8c8cc4ff59d73dfa591c3bb8c238867c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1a05bed36e2decca5d8616893edea24"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab1a05bed36e2decca5d8616893edea24"></a>
cmplx32ImRe_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#ab1a05bed36e2decca5d8616893edea24">dcRangeSigMean</a></td></tr>
<tr class="memdesc:ab1a05bed36e2decca5d8616893edea24"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to DC range signature compensation buffer. <br /></td></tr>
<tr class="separator:ab1a05bed36e2decca5d8616893edea24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a069d875a9e00f93ee52beee250bcad4e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a069d875a9e00f93ee52beee250bcad4e"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a069d875a9e00f93ee52beee250bcad4e">dcRangeSigCalibCntr</a></td></tr>
<tr class="memdesc:a069d875a9e00f93ee52beee250bcad4e"><td class="mdescLeft">&#160;</td><td class="mdescRight">DC range signature calibration counter. <br /></td></tr>
<tr class="separator:a069d875a9e00f93ee52beee250bcad4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ab3990fe4121f005500847f1582b396"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9ab3990fe4121f005500847f1582b396"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a9ab3990fe4121f005500847f1582b396">log2NumAvgChirps</a></td></tr>
<tr class="memdesc:a9ab3990fe4121f005500847f1582b396"><td class="mdescLeft">&#160;</td><td class="mdescRight">log2 of number of averaged chirps <br /></td></tr>
<tr class="separator:a9ab3990fe4121f005500847f1582b396"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2062be0463c466057af51352f3dbf0d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa2062be0463c466057af51352f3dbf0d"></a>
cmplx16ImRe_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#aa2062be0463c466057af51352f3dbf0d">azimuthModCoefsHalfBin</a></td></tr>
<tr class="memdesc:aa2062be0463c466057af51352f3dbf0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Half bin needed for doppler correction as part of Azimuth processing. <br /></td></tr>
<tr class="separator:aa2062be0463c466057af51352f3dbf0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d6ea105f35f668e0969857f680417cb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2d6ea105f35f668e0969857f680417cb"></a>
cmplx16ReIm_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a2d6ea105f35f668e0969857f680417cb">radarCube</a></td></tr>
<tr class="memdesc:a2d6ea105f35f668e0969857f680417cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to Radar Cube memory in L3 RAM. <br /></td></tr>
<tr class="separator:a2d6ea105f35f668e0969857f680417cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6aa74c1fd32e9757c66d15c8788ea48"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad6aa74c1fd32e9757c66d15c8788ea48"></a>
uint16_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#ad6aa74c1fd32e9757c66d15c8788ea48">detMatrix</a></td></tr>
<tr class="memdesc:ad6aa74c1fd32e9757c66d15c8788ea48"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to range/Doppler log2 magnitude detection matrix in L3 RAM. <br /></td></tr>
<tr class="separator:ad6aa74c1fd32e9757c66d15c8788ea48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a082e171ea46242db218305f42648b79d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a082e171ea46242db218305f42648b79d"></a>
cmplx16ImRe_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a082e171ea46242db218305f42648b79d">azimuthStaticHeatMap</a></td></tr>
<tr class="memdesc:a082e171ea46242db218305f42648b79d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to 2D FFT array in range direction, at doppler index 0, for static azimuth heat map. <br /></td></tr>
<tr class="separator:a082e171ea46242db218305f42648b79d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae13c135e9e0a169a841c2273afd250e4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae13c135e9e0a169a841c2273afd250e4"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#ae13c135e9e0a169a841c2273afd250e4">validProfileIdx</a></td></tr>
<tr class="memdesc:ae13c135e9e0a169a841c2273afd250e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">valid Profile index <br /></td></tr>
<tr class="separator:ae13c135e9e0a169a841c2273afd250e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adecf9ac4123be45ce0fb16b70b79f83f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adecf9ac4123be45ce0fb16b70b79f83f"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#adecf9ac4123be45ce0fb16b70b79f83f">numTxAntennas</a></td></tr>
<tr class="memdesc:adecf9ac4123be45ce0fb16b70b79f83f"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of transmit antennas <br /></td></tr>
<tr class="separator:adecf9ac4123be45ce0fb16b70b79f83f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa92b092a018c480ac40e58821cc5e58"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afa92b092a018c480ac40e58821cc5e58"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#afa92b092a018c480ac40e58821cc5e58">numVirtualAntennas</a></td></tr>
<tr class="memdesc:afa92b092a018c480ac40e58821cc5e58"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of virtual antennas <br /></td></tr>
<tr class="separator:afa92b092a018c480ac40e58821cc5e58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1b0b1659cd35db30131c487ece0bfcc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af1b0b1659cd35db30131c487ece0bfcc"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#af1b0b1659cd35db30131c487ece0bfcc">numVirtualAntAzim</a></td></tr>
<tr class="memdesc:af1b0b1659cd35db30131c487ece0bfcc"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of virtual azimuth antennas <br /></td></tr>
<tr class="separator:af1b0b1659cd35db30131c487ece0bfcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac32148634e0e35e5bf8bccb5098e0bfc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac32148634e0e35e5bf8bccb5098e0bfc"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#ac32148634e0e35e5bf8bccb5098e0bfc">numVirtualAntElev</a></td></tr>
<tr class="memdesc:ac32148634e0e35e5bf8bccb5098e0bfc"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of virtual elevation antennas <br /></td></tr>
<tr class="separator:ac32148634e0e35e5bf8bccb5098e0bfc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8446bfcacd68473d27812c452b49cc65"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8446bfcacd68473d27812c452b49cc65"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a8446bfcacd68473d27812c452b49cc65">numAdcSamples</a></td></tr>
<tr class="memdesc:a8446bfcacd68473d27812c452b49cc65"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of ADC samples <br /></td></tr>
<tr class="separator:a8446bfcacd68473d27812c452b49cc65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbfefbff20275294cff1ce0900b622c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adbfefbff20275294cff1ce0900b622c5"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#adbfefbff20275294cff1ce0900b622c5">numRangeBins</a></td></tr>
<tr class="memdesc:adbfefbff20275294cff1ce0900b622c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of range bins <br /></td></tr>
<tr class="separator:adbfefbff20275294cff1ce0900b622c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a611210df356c5f5c3f60896a689ebb05"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a611210df356c5f5c3f60896a689ebb05"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a611210df356c5f5c3f60896a689ebb05">numChirpsPerFrame</a></td></tr>
<tr class="memdesc:a611210df356c5f5c3f60896a689ebb05"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of chirps per frame <br /></td></tr>
<tr class="separator:a611210df356c5f5c3f60896a689ebb05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa83d85824c403973a730d6ef9d92c046"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa83d85824c403973a730d6ef9d92c046"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#aa83d85824c403973a730d6ef9d92c046">numAngleBins</a></td></tr>
<tr class="memdesc:aa83d85824c403973a730d6ef9d92c046"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of angle bins <br /></td></tr>
<tr class="separator:aa83d85824c403973a730d6ef9d92c046"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d1161017c73031bffc8e57b4e2e9b5d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3d1161017c73031bffc8e57b4e2e9b5d"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a3d1161017c73031bffc8e57b4e2e9b5d">numDopplerBins</a></td></tr>
<tr class="memdesc:a3d1161017c73031bffc8e57b4e2e9b5d"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of doppler bins <br /></td></tr>
<tr class="separator:a3d1161017c73031bffc8e57b4e2e9b5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50ae0397cbb37420cb41061b5e53f291"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a50ae0397cbb37420cb41061b5e53f291"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a50ae0397cbb37420cb41061b5e53f291">log2NumDopplerBins</a></td></tr>
<tr class="memdesc:a50ae0397cbb37420cb41061b5e53f291"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of doppler bins <br /></td></tr>
<tr class="separator:a50ae0397cbb37420cb41061b5e53f291"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e57bb2e7433ef9213e88d1cf0e803c1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1e57bb2e7433ef9213e88d1cf0e803c1"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a1e57bb2e7433ef9213e88d1cf0e803c1">rangeResolution</a></td></tr>
<tr class="memdesc:a1e57bb2e7433ef9213e88d1cf0e803c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">range resolution in meters <br /></td></tr>
<tr class="separator:a1e57bb2e7433ef9213e88d1cf0e803c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ed80fd154e00bc330037d32cdc95b14"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7ed80fd154e00bc330037d32cdc95b14"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a7ed80fd154e00bc330037d32cdc95b14">xyzOutputQFormat</a></td></tr>
<tr class="memdesc:a7ed80fd154e00bc330037d32cdc95b14"><td class="mdescLeft">&#160;</td><td class="mdescRight">Q format of the output x/y/z coordinates. <br /></td></tr>
<tr class="separator:a7ed80fd154e00bc330037d32cdc95b14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab728ab106140775563924a438e4fb518"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab728ab106140775563924a438e4fb518"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#ab728ab106140775563924a438e4fb518">numDetObj</a></td></tr>
<tr class="memdesc:ab728ab106140775563924a438e4fb518"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of detected objects. <br /></td></tr>
<tr class="separator:ab728ab106140775563924a438e4fb518"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12ff56066a6bdfa6a10d292f0e8f4fac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a12ff56066a6bdfa6a10d292f0e8f4fac"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a12ff56066a6bdfa6a10d292f0e8f4fac">numDetObjRaw</a></td></tr>
<tr class="memdesc:a12ff56066a6bdfa6a10d292f0e8f4fac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of detected objects. <br /></td></tr>
<tr class="separator:a12ff56066a6bdfa6a10d292f0e8f4fac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a729c58cf1323e516dfacaaefe4de4914"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a729c58cf1323e516dfacaaefe4de4914"></a>
<a class="el" href="dss__data__path_8h.html#aa804c0d8a34544aa2c8cee6a2cfe07fa">MmwDemo_1D_DopplerLines_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a729c58cf1323e516dfacaaefe4de4914">detDopplerLines</a></td></tr>
<tr class="memdesc:a729c58cf1323e516dfacaaefe4de4914"><td class="mdescLeft">&#160;</td><td class="mdescRight">Detected Doppler lines. <br /></td></tr>
<tr class="separator:a729c58cf1323e516dfacaaefe4de4914"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa77e508e8678e0cdbd9519fadc347eed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa77e508e8678e0cdbd9519fadc347eed"></a>
MmwDemo_detectedObj *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#aa77e508e8678e0cdbd9519fadc347eed">detObj2D</a></td></tr>
<tr class="memdesc:aa77e508e8678e0cdbd9519fadc347eed"><td class="mdescLeft">&#160;</td><td class="mdescRight">Detected objects after second pass in Range direction. <br /></td></tr>
<tr class="separator:aa77e508e8678e0cdbd9519fadc347eed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa3160824f96f19f2eb9add8c9acf718"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaa3160824f96f19f2eb9add8c9acf718"></a>
<a class="el" href="dss__data__path_8h.html#a9c9242275e3001ed3d0c27e825f317b5">MmwDemo_objRaw_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#aaa3160824f96f19f2eb9add8c9acf718">detObj2DRaw</a></td></tr>
<tr class="memdesc:aaa3160824f96f19f2eb9add8c9acf718"><td class="mdescLeft">&#160;</td><td class="mdescRight">Detected objects before peak grouping. <br /></td></tr>
<tr class="separator:aaa3160824f96f19f2eb9add8c9acf718"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ea54a053438400c3b55e034dc3fc0f3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9ea54a053438400c3b55e034dc3fc0f3"></a>
uint8_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a9ea54a053438400c3b55e034dc3fc0f3">detObj2dAzimIdx</a></td></tr>
<tr class="memdesc:a9ea54a053438400c3b55e034dc3fc0f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Detected objects azimuth index for debugging. <br /></td></tr>
<tr class="separator:a9ea54a053438400c3b55e034dc3fc0f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37fbf551354fb2eb91ae83484cdbac55"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a37fbf551354fb2eb91ae83484cdbac55"></a>
<a class="el" href="dss__data__path_8h.html#aca824704b6f68c4c3d39afe136796fcb">MmwDemo_timingInfo_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a37fbf551354fb2eb91ae83484cdbac55">timingInfo</a></td></tr>
<tr class="memdesc:a37fbf551354fb2eb91ae83484cdbac55"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timing information. <br /></td></tr>
<tr class="separator:a37fbf551354fb2eb91ae83484cdbac55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5f2836ca2d10b36c96922d8de49ee81"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae5f2836ca2d10b36c96922d8de49ee81"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#ae5f2836ca2d10b36c96922d8de49ee81">chirpCount</a></td></tr>
<tr class="memdesc:ae5f2836ca2d10b36c96922d8de49ee81"><td class="mdescLeft">&#160;</td><td class="mdescRight">chirp counter modulo number of chirps per frame <br /></td></tr>
<tr class="separator:ae5f2836ca2d10b36c96922d8de49ee81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22521de6cb0a65a7d574ccf4766364da"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a22521de6cb0a65a7d574ccf4766364da"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a22521de6cb0a65a7d574ccf4766364da">txAntennaCount</a></td></tr>
<tr class="memdesc:a22521de6cb0a65a7d574ccf4766364da"><td class="mdescLeft">&#160;</td><td class="mdescRight">chirp counter modulo number of tx antennas <br /></td></tr>
<tr class="separator:a22521de6cb0a65a7d574ccf4766364da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a9ef9213996f372be8e0258301e84a6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6a9ef9213996f372be8e0258301e84a6"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a6a9ef9213996f372be8e0258301e84a6">dopplerBinCount</a></td></tr>
<tr class="memdesc:a6a9ef9213996f372be8e0258301e84a6"><td class="mdescLeft">&#160;</td><td class="mdescRight">chirp counter modulo number of Doppler bins <br /></td></tr>
<tr class="separator:a6a9ef9213996f372be8e0258301e84a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a115142048721ebc700fa75d01ffd086f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a115142048721ebc700fa75d01ffd086f"></a>
<a class="el" href="dss__data__path_8h.html#aa0b3a2cfa32614ccc138bb25bf853b01">cycleLog_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a115142048721ebc700fa75d01ffd086f">cycleLog</a></td></tr>
<tr class="memdesc:a115142048721ebc700fa75d01ffd086f"><td class="mdescLeft">&#160;</td><td class="mdescRight">DSP cycles for chirp and interframe processing and pending on EDMA data transferes. <br /></td></tr>
<tr class="separator:a115142048721ebc700fa75d01ffd086f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac26bded0a77ef4f9078f24e1ea82c96b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac26bded0a77ef4f9078f24e1ea82c96b"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#ac26bded0a77ef4f9078f24e1ea82c96b">numChirpsPerChirpEvent</a></td></tr>
<tr class="memdesc:ac26bded0a77ef4f9078f24e1ea82c96b"><td class="mdescLeft">&#160;</td><td class="mdescRight">ADCBUF will generate chirp interrupt event every this many chirps. <br /></td></tr>
<tr class="separator:ac26bded0a77ef4f9078f24e1ea82c96b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab34aa2186ac848f680a156da80fd6101"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab34aa2186ac848f680a156da80fd6101"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#ab34aa2186ac848f680a156da80fd6101">numBytePerSample</a></td></tr>
<tr class="memdesc:ab34aa2186ac848f680a156da80fd6101"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of bytes per ADC sample in ADC buffer <br /></td></tr>
<tr class="separator:ab34aa2186ac848f680a156da80fd6101"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a807cbc1f9c9a63f7bb694d3cc433b622"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a807cbc1f9c9a63f7bb694d3cc433b622"></a>
MmwDemo_compRxChannelBiasCfg_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a807cbc1f9c9a63f7bb694d3cc433b622">compRxChanCfg</a></td></tr>
<tr class="memdesc:a807cbc1f9c9a63f7bb694d3cc433b622"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rx channel gain/phase offset compensation coefficients. <br /></td></tr>
<tr class="separator:a807cbc1f9c9a63f7bb694d3cc433b622"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e0e42651404e1ec849b227c7075edb1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1e0e42651404e1ec849b227c7075edb1"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a1e0e42651404e1ec849b227c7075edb1">subFrameIndx</a></td></tr>
<tr class="memdesc:a1e0e42651404e1ec849b227c7075edb1"><td class="mdescLeft">&#160;</td><td class="mdescRight">subframe index for this obj <br /></td></tr>
<tr class="separator:a1e0e42651404e1ec849b227c7075edb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38d28afd0f5d6834b9622c1e3d238659"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a38d28afd0f5d6834b9622c1e3d238659"></a>
<a class="el" href="dss__data__path_8h.html#ad91426cab49c83734ceeafe8d5a7d575">MmwDemo_DSS_DataPathCQ</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html#a38d28afd0f5d6834b9622c1e3d238659">datapathCQ</a></td></tr>
<tr class="memdesc:a38d28afd0f5d6834b9622c1e3d238659"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rx channel Chirp Quality config &amp; data. <br /></td></tr>
<tr class="separator:a38d28afd0f5d6834b9622c1e3d238659"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Millimeter Wave Demo Data Path Information. </p>
<p>The structure is used to hold all the relevant information for the data path. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>/home/gtbldadm/nightlybuilds/mmwave_sdk/ti/demo/xwr16xx/mmw/dss/<a class="el" href="dss__data__path_8h.html">dss_data_path.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
